Option Strict Off
Option Explicit On 

<System.Runtime.InteropServices.ProgId("OspBuildActions.Setup")> Public Class Setup
    Implements VisBuildSvr.ICustomAction

    Public Function BuildStep(ByVal Builder As VisBuildSvr.Builder, ByVal [step] As VisBuildSvr.IStep) As VisBuildSvr.StepStatusEnum Implements VisBuildSvr.ICustomAction.BuildStep
        Dim fInput As frmOspBuildVars = New frmOspBuildVars()

        ' reset Temp macros
        Builder.App.Macros(VisBuildSvr.MacroTypeEnum.vbldMacroTemporary).Clear()

        If fInput.ShowDialog() = DialogResult.OK Then
            ' set Temp macros

            Builder.App.Macros(VisBuildSvr.MacroTypeEnum.vbldMacroTemporary).Add(TEMP_MACRO_OspFileVersion, fInput.txFileVersion.Text, , "File / Product version", False)
            Builder.App.Macros(VisBuildSvr.MacroTypeEnum.vbldMacroTemporary).Add(TEMP_MACRO_OSPReleaseVersion, fInput.txReleaseVersion.Text, , "Release version", False)

            fInput.Close()
        End If
    End Function

End Class